# Standard_OStream.hxx File Reference

`#include <Standard_TypeDef.hxx>`
`#include <Standard_Stream.hxx>`

## Typedefs

typedef ostream | Standard_OStream

## Functions

__Standard_API Handle_Standard_Type & | Standard_OStream_Type_ ()
__Standard_API void | ShallowDump (const Standard_Boolean, Standard_OStream &)
class | Handle (Standard_Transient)
__Standard_API void | ShallowDump (const Handle(Standard_Transient)&, Standard_OStream &)
class | Handle (Standard_Persistent)
__Standard_API void | ShallowDump (const Handle(Standard_Persistent)&, Standard_OStream &)

## Typedef Documentation

typedef ostream Standard_OStream

## Function Documentation

class Handle | ( | Standard_Persistent |  | ) |

class Handle | ( | Standard_Transient |  | ) |

__Standard_API void ShallowDump | ( | const Handle(Standard_Persistent)& | ,
|  | Standard_OStream & |
| ) |

__Standard_API void ShallowDump | ( | const Handle(Standard_Transient)& | ,
|  | Standard_OStream & |
| ) |

__Standard_API void ShallowDump | ( | const | Standard_Boolean,
|  | Standard_OStream & |
| ) |

class __Standard_API Handle_Standard_Type& Standard_OStream_Type_ | ( |  | ) |